Bug 163334 - doesn't pass whole URL to the webbrower when right-clicking and selecting "Open Link"
doesn't pass whole URL to the webbrower when right-clicking and selecting "Op...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-15 06:37 EDT by Alex Lancaster
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.16.0-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-23 20:09:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 170364 None None None Never

  None (edit)
Description Alex Lancaster 2005-07-15 06:37:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Galeon/1.3.21

Description of problem:
The whole URL is not passed to the webbrower when right-clicking and selecting "Open Link".  E.g. http://www.gnome.org rather than (correct) http://www.gnome.org/.  This causes problems with some rather fussy websites that stick to a strict definition of a URL that should always include the trailing "/".

Version-Release number of selected component (if applicable):
gnome-terminal-2.10.0-2

How reproducible:
Always

Steps to Reproduce:
1. Type "rpm -qi passivetex" in a gnome-terminal
2. Right click on the URL in the rpm output: http://www.tei-c.org.uk/Software/passivetex/
3. Select "Open Link".
4. Wait for the configured webbrowser to open.
  

Actual Results:  The browser opens with the URL "http://www.tei-c.org.uk/Software/passivetex" (with a missing trailing slash "/") and returns a "404" error.

Expected Results:  The entire URL (including the "/" should have been passed). "http://www.tei-c.org.uk/Software/passivetex/".

Additional info:

You can see that the entire URL is not selected when the mouse hovers over the URL and the trailing slash is not underlined like the rest of the URL.  Here is an ASCII "screenshot":

URL         : http://www.tei-c.org.uk/Software/passivetex/
              -------------------------------------------
Comment 1 Alex Lancaster 2005-09-16 03:20:35 EDT
This has been fixed upstream in GNOME bug:
http://bugzilla.gnome.org/show_bug.cgi?id=170364

Fixed in gnome-terminal-2.11.2 upstream, see:

http://cvs.gnome.org/viewcvs/gnome-terminal/ChangeLog?rev=1.455

Any chance of an update?
Comment 2 Christian Iseli 2007-01-19 19:45:26 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Alex Lancaster 2007-01-23 20:09:50 EST
This is fixed on FC-6 in gnome-terminal-2.16.0-2.fc6.  According to
http://bugzilla.gnome.org/show_bug.cgi?id=170364 it was fixed sometime in the
gnome-terminal-2.15.x series.

Note You need to log in before you can comment on or make changes to this bug.